.heroContent {
  position: relative;
  padding: 0 7rem;
  padding-top: 10rem;
  padding-bottom: 6rem;

  @media (max-width: $sizing-breakpoint-xxl) {
    padding-left: 3rem;
    padding-right: 3rem;
  }

  @media (max-width: $sizing-breakpoint-s) {
    padding-top: 6rem;
  }

  @media (max-width: $sizing-breakpoint-xs) {
    padding-top: 4rem;
    padding-left: 2rem;
    padding-right: 2rem;
  }
}

.title {
  font-size: 6em;
  font-weight: bold;
  margin-bottom: 1.5rem;

  @media (max-width: $sizing-breakpoint-xxl) {
    font-size: 5em;
  }

  @media (max-width: $sizing-breakpoint-l) {
    font-size: 4em;
  }

  @media (max-width: $sizing-breakpoint-s) {
    font-size: 3em;
  }
}

.subTitle {
  font-size: 2em;
  line-height: 1.5em;
  // margin-bottom: 6rem;
  color: $color-font-3;

  @media (max-width: $sizing-breakpoint-l) {
    font-size: 1.75em;
  }

  @media (max-width: $sizing-breakpoint-s) {
    font-size: 1.5em;
    // margin-bottom: 4rem;
  }
}

.subTitleBreak {
  @include killLineBreakBelow($sizing-breakpoint-m);
}

.rightCell {
  flex: 1;

  @media (max-width: $sizing-breakpoint-xxxl) {
    flex: 0.5;
  }

  @media (max-width: $sizing-breakpoint-xxl) {
    flex: 0.4;
    margin-left: 2rem;
  }

  @media (max-width: $sizing-breakpoint-xl) {
    display: none;
  }
}

.useCaseCard {
  @extend %card;
  flex-direction: row;
  align-items: center;
  width: 100%;
  max-width: 30rem;
  height: 5rem;
  margin: 2rem auto;
  padding: 1rem 2rem;
  background: rgba($color-bg-5, 0.8);
  backdrop-filter: blur(5px);
  text-align: left;

  @media (max-width: $sizing-breakpoint-xxxl) {
    margin-right: 0;
  }

  @media (max-width: $sizing-breakpoint-xxl) {
    padding-left: 1rem;
    padding-right: 1rem;
    height: 4rem;
  }

  :global .image {
    flex-shrink: 0;
    width: 3.5rem;

    @media (max-width: $sizing-breakpoint-xxl) {
      width: 3rem;
    }
  }

  :global .image > g > * {
    stroke: $color-font-1 !important;
  }

  :global .title {
    flex: 1;
    color: $color-font-1;
    font-size: 1.3em;
    margin-left: 2rem;

    @media (max-width: $sizing-breakpoint-xxl) {
      font-size: 1.1em;
      margin-left: 1rem;
    }
  }

  :global .arrow {
    display: flex;
    width: 3rem;

    @media (max-width: $sizing-breakpoint-xxl) {
      width: 2rem;
    }

    > svg {
      width: 1rem;
      margin: auto;
      margin-right: 0;
      color: $color-font-1;

      @media (max-width: $sizing-breakpoint-xxl) {
        width: 0.75rem;
      }
    }
  }

  &:hover {
    background: $color-bg-4;
    color: $color-font-4;

    :global .title {
      color: $color-font-4;
    }

    :global .image > g > * {
      stroke: $color-font-4 !important;
    }

    :global .arrow > svg {
      color: $color-font-4;
    }
  }
}

.ctaFlexer {
  margin-top: 6rem;

  @media (max-width: $sizing-breakpoint-xl) {
    flex-direction: column-reverse;
    margin-top: 2rem;
  }
}

.buttonContainer {
  display: flex;
  width: 15rem;
  flex: none;
}

.button {
  margin: auto;
  margin-left: 0;

  span {
    color: $color-font-4;
  }
}

.cloudLogoContainer {
  text-align: right;
  margin-left: 2rem;
  margin-right: 3rem;

  @media (max-width: $sizing-breakpoint-xxxl) {
    margin-right: 0;
  }

  @media (max-width: $sizing-breakpoint-xl) {
    margin-left: 0;
    margin-bottom: 4rem;
    text-align: left;
  }
}

.cloudLogo {
  display: inline-block;
  height: 1.5rem;
  margin: 0.75rem;

  @media (max-width: $sizing-breakpoint-xl) {
    height: 1.25rem;
    margin: 0.5rem;
  }

  @media (max-width: $sizing-breakpoint-m) {
    height: 1rem;
  }

  :global path {
    fill: #888;

    @media (max-width: $sizing-breakpoint-xl) {
      fill: #666;
    }
  }
}

.down-arrow {
  position: absolute;
  bottom: 1rem;
  left: 50%;
  width: 1.5rem;
  margin-left: -0.75rem;
  animation: bounce 3s linear infinite normal;
  cursor: pointer;
  opacity: 0.8;

  &:hover {
    opacity: 0.6;
  }
}
